Get Integration Configuration
curl --request GET \
--url https://app.cardclan.io/api/integration/config \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.cardclan.io/api/integration/config"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.cardclan.io/api/integration/config', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"key": "items",
"cardId": "60f7b2b5b8f4a20015a4f5a5",
"emailAccount": [
{
"key": "60f7b2b5b8f4a20015a4f5a6",
"value": "hello@company.com",
"label": "Email account",
"id": "60f7b2b5b8f4a20015a4f5a6",
"name": "hello@company.com"
}
],
"mergeTags": [
{
"tagName": "name",
"type": "text"
}
],
"card": {
"cardId": "60f7b2b5b8f4a20015a4f5a5",
"title": "Welcome Card"
}
}
]{
"error": "Bad Request",
"message": "Card ID is required",
"statusCode": 400,
"timestamp": "2024-01-15T10:30:00.000Z"
}Integration API
Get Integration Config
Retrieves integration configuration details by ID
GET
/
integration
/
config
Get Integration Configuration
Retrieves detailed integration configuration information by integration ID. This endpoint returns comprehensive details about the configuration, including associated card information, available email accounts, and merge tag definitions.
Query Parameters
string
required
The integration configuration ID returned when you created the configuration
Response Details
Returns an array with detailed configuration information:string
Always “items” to identify the response type
string
ID of the card associated with this configuration
array
Available email accounts for this configuration
Show Email account structure
Show Email account structure
string
Email account identifier
string
Email address (e.g., “hello@company.com”)
array
object
Response Example
[
{
"key": "items",
"cardId": "60f7b2b5b8f4a20015a4f5a5",
"emailAccount": [
{
"id": "60f7b2b5b8f4a20015a4f5a6",
"fromEmail": "hello@company.com"
},
{
"id": "60f7b2b5b8f4a20015a4f5a7",
"fromEmail": "support@company.com"
}
],
"mergeTags": [
{
"tagName": "name",
"type": "text"
},
{
"tagName": "email",
"type": "email"
},
{
"tagName": "company",
"type": "text"
}
],
"card": {
"cardId": "60f7b2b5b8f4a20015a4f5a5",
"title": "Welcome Card"
}
}
]
Authorizations
Enter your CardClan integration key
Query Parameters
Integration configuration ID
Was this page helpful?